cURL
curl --request PATCH \
--url https://api.hubapi.com/media-bridge/2026-03/objects/{objectId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"mediaType": "VIDEO",
"duration": 123,
"fileUrl": "<string>",
"detailsPageLink": "<string>",
"thumbnailUrl": "<string>",
"posterUrl": "<string>",
"externalId": "<string>",
"oembedUrl": "<string>",
"title": "<string>",
"bearerToken": "<string>",
"transcriptUrl": "<string>"
}
'import requests
url = "https://api.hubapi.com/media-bridge/2026-03/objects/{objectId}"
payload = {
"mediaType": "VIDEO",
"duration": 123,
"fileUrl": "<string>",
"detailsPageLink": "<string>",
"thumbnailUrl": "<string>",
"posterUrl": "<string>",
"externalId": "<string>",
"oembedUrl": "<string>",
"title": "<string>",
"bearerToken": "<string>",
"transcriptUrl": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
mediaType: 'VIDEO',
duration: 123,
fileUrl: '<string>',
detailsPageLink: '<string>',
thumbnailUrl: '<string>',
posterUrl: '<string>',
externalId: '<string>',
oembedUrl: '<string>',
title: '<string>',
bearerToken: '<string>',
transcriptUrl: '<string>'
})
};
fetch('https://api.hubapi.com/media-bridge/2026-03/objects/{objectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"title": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"detailsPageLink": "<string>",
"duration": 123,
"externalId": "<string>",
"fileUrl": "<string>",
"oembedUrl": "<string>",
"posterUrl": "<string>",
"thumbnailUrl": "<string>",
"video": {
"deeplinkUrl": "<string>",
"fileId": 123,
"id": 123
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Media Bridge
Update a media bridge object
PATCH
/
media-bridge
/
2026-03
/
objects
/
{objectId}
cURL
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
oauth2private_apps
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Body
application/json
Response
successful operation
Available options:
AUDIO, DOCUMENT, IMAGE, OTHER, VIDEO Show child attributes
Show child attributes
Last modified on March 31, 2026
Was this page helpful?
⌘I